For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a list of transactions

Getting a list of orphan transactions with the ability to filter by certain criteria

Get a list of transactions

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body
idstringOptional

Transaction ID in the system

Example: 522c9835-7b05-4f83-8bf6-0e9abd4e3841
orderIdstring · nullableOptional

The ID of the order to which the address was linked at the time of the transaction discovery

Example: d6149b8f-b67f-4cbd-a91e-71fcafcb7575
stagestring · enumOptional

The current stage of the transaction. There are 2 values available: DEPOSIT and WITHDRAWAL

Example: DEPOSITPossible values:
statusstring · enumOptional

Status of the current stage of the transaction

Example: PROCESSEDPossible values:
offsetintegerOptional

Offset (for pagination)

limitintegerOptional

Limit (for pagination)

Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/api-gateway/orphan-deposits/get-deposits
POST /api-gateway/orphan-deposits/get-deposits HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 154

{
  "id": "522c9835-7b05-4f83-8bf6-0e9abd4e3841",
  "orderId": "d6149b8f-b67f-4cbd-a91e-71fcafcb7575",
  "stage": "DEPOSIT",
  "status": "PROCESSED",
  "offset": 1,
  "limit": 1
}
200Success
{
  "success": true,
  "response": [
    {
      "id": "7bfa73d2-0b2e-4237-aeee-f82868dece32",
      "organizationId": "c50e0415-e51c-4caa-a4cf-e4c87ec00079",
      "orderId": "637564cf-3d7c-4ea3-9994-6ac908da53cf",
      "stage": "WITHDRAWAL",
      "status": "PENDING",
      "message": null,
      "currency": "BUSD",
      "network": "bsc",
      "amount": "200",
      "canWithdrawal": true,
      "inTransaction": {
        "addressType": "PAY_IN",
        "addressId": "bd0b179d-6ae3-4516-bd85-243a82b2a87a",
        "address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
        "txId": "0x123456...",
        "amount": "200",
        "status": "processed"
      },
      "outTransactions": {
        "address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
        "txId": "0x123456...",
        "amount": "200",
        "status": "processed",
        "feeAmount": "1.2",
        "feeAmountUSD": "1.22",
        "withdrawalId": "bc45b266-33de-4ce2-ab59-ca9f9c23ceb2",
        "createdAt": "2026-01-30T11:14:13.702Z"
      },
      "createdAt": "2026-01-29T11:14:13.702Z"
    }
  ]
}

Last updated